Bug 170489 - Pyrex doesn't build on a 64bit machine
Pyrex doesn't build on a 64bit machine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Pyrex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On: 171773
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 06:11 EDT by Karsten Hopp
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 16:20:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of failed build (39.73 KB, text/plain)
2005-10-12 06:12 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2005-10-12 06:11:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
Pyrex is a noarch package and can be built on any architecture. If you happen to build it on 64bit, _libdir is set to /usr/lib64 and the filelist int the specfile will be wrong.
Log file attached

Version-Release number of selected component (if applicable):
Pyrex-0.9.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. try to build Pyrex on a 64bit architecture
2. check failures
3.
  

Additional info:
Comment 1 Karsten Hopp 2005-10-12 06:12:54 EDT
Created attachment 119828 [details]
log of failed build
Comment 2 Jeremy Katz 2005-10-26 12:27:37 EDT
Pyrex should be specifying the /usr/lib version of the libdir...
http://fedoraproject.org/wiki/PythonPackages has some macros you can use for
these purposes.
Comment 3 John (J5) Palmieri 2005-10-26 16:20:36 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.